ch.qos.logback.core.pattern

## Class IdentityCompositeConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.pattern.CompositeConverter<E>
        - - ch.qos.logback.core.pattern.IdentityCompositeConverter<E>

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class IdentityCompositeConverter<E>
    extends CompositeConverter<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`IdentityCompositeConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `transform(E event, String in)`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`convert, getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdentityCompositeConverter

    public IdentityCompositeConverter()

### Method Detail

#### transform

    protected String transform(E event,
                               String in)

Specified by:
  `transform` in class `CompositeConverter<E>`